From f473ec8ed79c23b7d1f553052cd13c4573431c50 Mon Sep 17 00:00:00 2001
From: Egbert Eich <eich@suse.com>
Date: Mon, 16 May 2022 14:33:47 +0200
Subject: [PATCH 23/30] Add missing auth_uid init setting

Signed-off-by: Egbert Eich <eich@suse.com>
---
 src/slurmctld/proc_req.c | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/src/slurmctld/proc_req.c b/src/slurmctld/proc_req.c
index 5b0a350201..173898ca59 100644
--- a/src/slurmctld/proc_req.c
+++ b/src/slurmctld/proc_req.c
@@ -7021,6 +7021,9 @@ static int _process_persist_conn(void *arg,
 	slurm_msg_t_init(&msg);
 
 	msg.auth_cred = persist_conn->auth_cred;
+	msg.auth_uid = *uid;
+	msg.auth_uid_set = true;
+
 	msg.conn = persist_conn;
 	msg.conn_fd = persist_conn->fd;
 
-- 
2.35.3


